Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.policy
Class ProfilePriorityEntryHelper

    java.lang.Object
      |
      +--org.openorb.policy.ProfilePriorityEntryHelper

public class ProfilePriorityEntryHelper
extends java.lang.Object

Helper class for : ProfilePriorityEntry

Author:
  OpenORB Compiler

Constructor Summary
`ProfilePriorityEntryHelper()`

Method Summary
`static ProfilePriorityEntry` | `extract(Any a)` Extract ProfilePriorityEntry from an any
`static java.lang.String` | `id()` Return the ProfilePriorityEntry IDL ID
`static void` | `insert(Any a, ProfilePriorityEntry t)` Insert ProfilePriorityEntry into an any
`static ProfilePriorityEntry` | `read(InputStream istream)` Read ProfilePriorityEntry from a marshalled stream
`static TypeCode` | `type()` Return the ProfilePriorityEntry TypeCode
`static void` | `write(OutputStream ostream, ProfilePriorityEntry value)` Write ProfilePriorityEntry into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfilePriorityEntryHelper

    public ProfilePriorityEntryHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ProfilePriorityEntry t)

  Insert ProfilePriorityEntry into an any
  Parameters:
    `a` - an any
    `t` - ProfilePriorityEntry value

### extract

    public static ProfilePriorityEntry extract(Any a)

  Extract ProfilePriorityEntry from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ProfilePriorityEntry value

### type

    public static TypeCode type()

  Return the ProfilePriorityEntry TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ProfilePriorityEntry IDL ID
  Returns:
    an ID

### read

    public static ProfilePriorityEntry read(InputStream istream)

  Read ProfilePriorityEntry from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ProfilePriorityEntry value

### write

    public static void write(OutputStream ostream,
                             ProfilePriorityEntry value)

  Write ProfilePriorityEntry into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ProfilePriorityEntry value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD